﻿using Confluent.Kafka;

string kafkaConnection = "127.0.0.1:9092";
string topic = "alphabet";

string groupId = args.Length > 0 ? args[0] : "default";

CancellationTokenSource cts = new CancellationTokenSource();
CancellationToken cancellationToken = cts.Token;

AlphabetConsumer alphabetConsumer = new AlphabetConsumer(kafkaConnection, groupId);

var batchTask = Task.Factory.StartNew(() => alphabetConsumer.ReceiveMessagesBatch(topic, 10, TimeSpan.FromSeconds(5), TimeoutBehavior.StartAfterFirstMessageReceived, cancellationToken), TaskCreationOptions.LongRunning);

await Task.WhenAll([batchTask]);
