using Confluent.Kafka;

public class Producer
{
    ProducerConfig _producerConfig;
    Random random = new Random(123);
    public Producer(string connection)
    {
        _producerConfig = new ProducerConfig
        {
            BootstrapServers = connection,
        };
    }

    public async Task SendMessages(string topic)
    {
        using var producer = new ProducerBuilder<string, string>(_producerConfig).Build();
        for (var letter = 'A'; letter <= 'Z'; letter++)
        {
            var message = new Message<string, string>
            {
                Key = Guid.NewGuid().ToString(),
                Value = $"{letter}"
            };

            DeliveryResult<string, string> deliveryResult = await producer.ProduceAsync(topic, message);
            
            Console.WriteLine($"Sent Message:'{deliveryResult.Value}'. Topic {deliveryResult.TopicPartitionOffset}. Status:{deliveryResult.Status}");

            Thread.Sleep(random.Next(20, 100));
        }
    }
}